<?php
# Sample for resseler profile

require "aps/2/runtime.php";
/**
 * Class resellerGroup
 * @type("http://aps-standard.org/samples/sample-offering/reseller_group/1.0")
 * @implements("http://aps-standard.org/types/core/resource/1.0","http://aps-standard.org/types/core/profile/reseller/1.0")
 */
class resellerGroup extends \APS\ResourceBase
{
## Offers must be bound to the application, which resources are used to generate a VPS based on parameters defined in an Offer.
    /**
     * @link("http://aps-standard.org/samples/sample-offering/cloud/1.0")
     * @required
     */
    public $cloud;

## Every VPS must refer to an Offer from which it takes parameters.
    /**
     * @link("http://aps-standard.org/samples/sample-offering/vps/1.0[]")
     */
    public $vpses;

    /**
     * @type(string)
     * @title("URL")
     */
    public $url;

    /**
     * @type(string)
     * @title("User name")
     */
    public $username;

    /**
     * @type(string)
     * @title("Password")
     * @encrypted
     */
    public $password;

    /**
     * @type(string)
     * @title("Company Name")
     */
    public $companyName;

    /**
     * @type(string)
     * @title("Logo URL")
     */
    public $logoURL;

    /**
     * @type(string)
     * @title("Home URL")
     */
    public $homeURL;

    /**
     * @type(string)
     * @title("Support URL")
     */
    public $supportURL;

    /**
     * @type(string)
     * @title("Terms URL")
     */
    public $termsURL;

    /**
     * @type(string)
     * @title("Support phone")
     */
    public $supportPhone;
}
?>